package exemplocomposite;

import java.util.HashSet;
import java.util.Set;
import java.util.Iterator;

public class SistemaAutomotor extends Componente {
    Set<Componente> filhos;
    /** Creates a new instance of SistemaAutomotor */
    public SistemaAutomotor(String nome) {
        super(nome);
        filhos = new HashSet();
    }
    
    public void adicionar(Componente p) {
        filhos.add(p);
    }
    
    public Float obterPreco() {
        Float preco = new Float(0.0);
        Iterator<Componente> i = filhos.iterator();
        while(i.hasNext()){
            Componente c = i.next();
            preco += c.obterPreco();
        }
        return preco;
    }
    
}
